">

- NAME
- SYNOPSIS
- DESCRIPTION
- CLASS METHODS
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Inspect::Changelog::Version -- Parse a literal version string into its constituents

# SYNOPSIS

     use Lintian::Inspect::Changelog::Version;

     my $version = Lintian::Inspect::Changelog::Version->new;
     $version->assign('1.2.3-4', undef);

# DESCRIPTION

A class for parsing literal version strings

# CLASS METHODS

new ()

  Creates a new Lintian::Inspect::Changelog::Version object.

# INSTANCE METHODS

assign (LITERAL, NATIVE)

  Assign the various members in the Lintian::Inspect::Changelog::Version object using the LITERAL version string and the NATIVE boolean selector.

literal
epoch
no_epoch
upstream
maintainer_revision
debian_source
debian_no_epoch
source_nmu
binary_nmu
without_source_nmu
debian_without_backport
backport_release
backport_revision
without_backport

# AUTHOR

Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

# SEE ALSO

lintian(1)

<<